ros-lunar-controller-manager (0.13.3-0stretch) stretch; urgency=high

  * Introduce shared_ptr typedefs
  * Update maintainers
  * Fix catkin_lint errors and warnings
  * Remove unused imports, comment and executable flag
  * Remove realtime_tools dependency
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 25 Apr 2018 23:00:00 -0000

ros-lunar-controller-manager (0.13.2-0stretch) stretch; urgency=high

  * Fix controller_manager_interface and add unit tests.
  * migrate classloader headers
  * Contributors: Mathias Lüdtke, Yong Li

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 15 Apr 2018 23:00:00 -0000

ros-lunar-controller-manager (0.13.1-0stretch) stretch; urgency=high

  * refactored controller_manager unspawner
  * fix controller_manager list: migrated to new ControllerState with claimed_resources
  * remove debug prints from controller_manager script
  * Contributors: Mathias Lüdtke

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 25 Mar 2018 23:00:00 -0000

ros-lunar-controller-manager (0.13.0-0stretch) stretch; urgency=high

  * Several spawner-related fixes:
  * Remove shutdown_timeout & add deprecation note
  * Remove roslib import
  * Run wait_for_service on object instead of the hardcoded string version
  * Remove wait_for_service and rephrase warning after exception
  * Remove sleep(1) as it causes more problems than what it solves
  * Contributors: Bence Magyar

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sat, 23 Dec 2017 00:00:00 -0000

ros-lunar-controller-manager (0.12.0-0stretch) stretch; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Fri, 04 Aug 2017 23:00:00 -0000

ros-lunar-controller-manager (0.11.5-0stretch) stretch; urgency=high

  * Fix misspelling revise message
  * Contributors: Dave Coleman

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Tue, 27 Jun 2017 23:00:00 -0000

ros-lunar-controller-manager (0.11.4-0stretch) stretch; urgency=high

  * controller_manager: drop unused inclusion of tinyxml.h
  * Contributors: Dmitry Rozhkov

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Tue, 14 Feb 2017 00:00:00 -0000

ros-lunar-controller-manager (0.11.3-0stretch) stretch; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Wed, 07 Dec 2016 00:00:00 -0000

ros-lunar-controller-manager (0.11.2-0stretch) stretch; urgency=high

  * to[to.size-1] to to.back()
  * Remove boost from depends declaration to fix cmake warning
  * Add Enrique and Bence to maintainer list
  * Clean up export leftovers from rosbuild
  * Convert to format2, fix dependency in cmake
  * Contributors: Bence Magyar

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 28 Nov 2016 00:00:00 -0000

ros-lunar-controller-manager (0.11.1-0stretch) stretch; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Wed, 17 Aug 2016 23:00:00 -0000

ros-lunar-controller-manager (0.11.0-0stretch) stretch; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 22 May 2016 23:00:00 -0000

ros-lunar-controller-manager (0.10.1-0stretch) stretch; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Fri, 22 Apr 2016 23:00:00 -0000

ros-lunar-controller-manager (0.10.0-0stretch) stretch; urgency=high

  * Fix doSwitch execution point
    The doSwitch method needs to be executed in the update() method,  that is, in
    the real-time path, which is where controller switching actually takes place.
  * Introduce prepareSwitch, replacement of canSwitch
  * Deprecate RobotHW::canSwitch
  * Multi-interface controllers
    - C++ API break.
    - Make controller_manager aware of controllers that claim resources from more
    than one hardware interface.
    - Update and extend the corresponding test suite.
  * Address -Wunused-parameter warnings
  * Contributors: Adolfo Rodriguez Tsouroukdissian, Mathias Lüdtke

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Fri, 20 Nov 2015 00:00:00 -0000

ros-lunar-controller-manager (0.9.3-0stretch) stretch; urgency=high

  * controller_manager: Add missing rostest dep
  * Contributors: Adolfo Rodriguez Tsouroukdissian

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 04 May 2015 23:00:00 -0000

ros-lunar-controller-manager (0.9.2-0stretch) stretch; urgency=high

  * Add HW interface switch feature
  * Contributors: Mathias Lüdtke

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 03 May 2015 23:00:00 -0000

ros-lunar-controller-manager (0.9.1-0stretch) stretch; urgency=high

  * Update package maintainers
  * Contributors: Adolfo Rodriguez Tsouroukdissian

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 03 Nov 2014 00:00:00 -0000

ros-lunar-controller-manager (0.9.0-0stretch) stretch; urgency=high

  * Spawner script: adding shutdown timeout to prevent deadlocks
  * Documentation fixes
  * Contributors: Jonathan Bohren, shadowmanos

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Fri, 31 Oct 2014 00:00:00 -0000

ros-lunar-controller-manager (0.8.2-0stretch) stretch; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Tue, 24 Jun 2014 23:00:00 -0000

ros-lunar-controller-manager (0.8.1-0stretch) stretch; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 23 Jun 2014 23:00:00 -0000

ros-lunar-controller-manager (0.8.0-0stretch) stretch; urgency=high

  * Remove rosbuild artifacts. Fix #154 <https://github.com/ros-controls/ros_control/issues/154>.
  * Create README.md
  * Contributors: Adolfo Rodriguez Tsouroukdissian

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 11 May 2014 23:00:00 -0000

ros-lunar-controller-manager (0.7.2-0stretch) stretch; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 31 Mar 2014 23:00:00 -0000

ros-lunar-controller-manager (0.7.1-0stretch) stretch; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 30 Mar 2014 23:00:00 -0000

ros-lunar-controller-manager (0.7.0-0stretch) stretch; urgency=high

  * Add --timeout option to controller spawner
  * Use argparse instead of getopt
    It is a much nicer interface
  * Contributors: Paul Mathieu

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Fri, 28 Mar 2014 00:00:00 -0000

ros-lunar-controller-manager (0.6.0-0stretch) stretch; urgency=high

  * Update controller_manager.cpp
    Postfix to prefix increment operator.
  * Contributors: Adolfo Rodriguez Tsouroukdissian

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Wed, 05 Feb 2014 00:00:00 -0000

ros-lunar-controller-manager (0.5.8-0stretch) stretch; urgency=high

  * Fixed additional timeout that was just added
  * Merge branch 'hydro-devel' into extended_wait_time
  * Extended wait time to 30 seconds for slower computers
  * Renamed manifest.xml to prevent conflicts with rosdep
  * Fix broken unspawner script.
  * Check controller_manager API early. Fast shutdown.
    - Check for all services required by spawner at the beginning, so it can know
    early on that it has all its requisites.
    - Remove service waiting from shutdown to ensure a fast teardown.
    Usecase: A spawner that dies after the controller manager should not wait
    for services to appear as they will never appear, the controllers are already
    stopped. This happens for example when killing a Gazebo session.
  * Restore controller stop+unload on node kill.
    - Fixes #111 <https://github.com/ros-controls/ros_control/issues/111>.

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Thu, 10 Oct 2013 23:00:00 -0000

ros-lunar-controller-manager (0.5.7-0stretch) stretch; urgency=high

  * Update controller_manager.cpp
    getControllerNames now clears names before adding current names.  This fixes a bug in reloadControllerLibrariesSrv where the method is called twice in a row without first clearing the list.
    Steps to reproduce:
    - Spawn controller
    - Stop controller
    - reload-libraries
    controller_manager.cpp:501: bool controller_manager::ControllerManager::reloadControllerLibrariesSrv(controller_manager_msgs::ReloadControllerLibraries::Request&, controller_manager_msgs::ReloadControllerLibraries::Response&): Assertion `controllers.empty()' failed.
  * Updated changelogs

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 29 Jul 2013 23:00:00 -0000

ros-lunar-controller-manager (0.5.6-0stretch) stretch; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 28 Jul 2013 23:00:00 -0000

ros-lunar-controller-manager (0.5.5-0stretch) stretch; urgency=high

  * Tweaked Changelog

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 22 Jul 2013 23:00:00 -0000

ros-lunar-controller-manager (0.5.4-0stretch) stretch; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 22 Jul 2013 23:00:00 -0000

ros-lunar-controller-manager (0.5.3-0stretch) stretch; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 21 Jul 2013 23:00:00 -0000

ros-lunar-controller-manager (0.5.2-0stretch) stretch; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 21 Jul 2013 23:00:00 -0000

ros-lunar-controller-manager (0.5.1-0stretch) stretch; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Thu, 18 Jul 2013 23:00:00 -0000

ros-lunar-controller-manager (0.5.0-0stretch) stretch; urgency=high

  * Removed urdf_interface dependencies
  * Fix spawner choke when namespace is unspecified.
    Add missing check in conditional.
  * Add meta tags to packages not specifying them.
    - Website, bugtracker, repository.
  * Making script install target install scripts so that they are executable
  * Fix build order.
  * Combined exceptions per jbohren
  * Reneamed Github repo in documentation to ros-controls
  * Better timeout error checking, necessary for Gazebo
  * User error checking

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 15 Jul 2013 23:00:00 -0000

ros-lunar-controller-manager (0.4.0-0stretch) stretch; urgency=high

  * Version 0.4.0
  * 1.0.1
  * Fixing failure mode in new catkin cmakelists
  * Added namespace argument to spawner script
  * Fix package URL in package.xml
  * Python install for controller_manager.
  * Fix build order dependency.
  * adding install targets
  * merging CMakeLists.txt files from rosbuild and catkin
  * adding hybrid-buildsystem makefiles
  * Fix package URLs.
  * catkinizing, could still be cleaned up
  * Additional log feedback when load_controller fails
    When loading a controller fails bacause its configuration was not found on the
    parameter server, show the namespace where the parameters are expected to help
    debugging.
  * Remove unused method. Fixes #33 <https://github.com/davetcoleman/ros_control/issues/33>.
  * add option to pass in two nodehandles to a controller: one in the root of the controller manager namespace, and one in the namespace of the controller itself. This copies the behavior used by nodelets and nodes
  * Fix typo in rosdoc config files.
  * Adding explicit header for recursive mutex
  * Removing getControllerByNameImpl
  * Switching controller_manager ``controllers_lock_`` to be a recursive lock
  * Fixing comment indent
  * Adding template parameter doc
  * Changing @ commands to commands
  * More doc in controller manager
  * Adding clearer ros warning in controller switching
  * Adding lots of inline documentation, rosdoc files
    adding inline doc to robot_hw
    adding inline doc to robot_hw
    adding inline doc to robot_hw
    more doc
    more documentation
    more doc
    more doc
    more doc
    more doc
    formatting
    adding more doc groups in controller manager
    adding more doc groups in controller manager
    Adding doc for controllerspec
    adding hardware interface docs
    adding doc to joint interfaces
    adding rosdoc for controller_interface
    Adding / reformatting doc for controller interface
  * don't clear vectors in realtime
  * Make public getControllerByName method thread-safe.
    Existing virtual non-threadsafe method has been suffixed with -Impl and pushed
    to protected class scope. In-class uses call getControllerByNameImpl, as the
    lock has already been acquired.
  * new interface with time and duration
  * add missing include
  * remove .svn folder
  * Doing resource conflict check on switchControllers call
  * Adding in resource/claim infrastructure
  * fix command line interface
  * clean up publishing controller state
  * Controller spec now also copies over type
  * Switching to owned interfaces, instead of multiple virtual inheritance
  * add scripts for controller manager
  * get rid of pr2 stuff
  * Controller manager can now register ControllerLoaders
  * Controller manager now runs with new ControllerLoader mechanism
  * Creating new plugin_loader interface
  * Adding debugging printouts
  * Namespacing controller_spec
  * Fixing copyright header text
  * Spawning dummy controller works
  * Tweaking inheritance to be virtual so it compiles. dummy app with controller manager compiles
  * all pkgs now ported to fuerte
  * add missing file
  * running controller with casting. Pluginlib still messed up
  * add macro
  * running version, with latest pluginlib
  * compiling version
  * compiling version
  * first catkin stuff

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 24 Jun 2013 23:00:00 -0000


